Summary:        Tool to translate x86-64 CPU Machine Check Exception data.
Name:           mcelog
Version:        0.4
Release:	%(R="$Revision: 1.12 $"; RR="${R##: }"; echo ${RR%%?}).EL
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0:        mcelog-0.4.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	x86_64
Patch0:		RHEL4u4_mcelog_k8_threshold.patch

%description
mcelog is a daemon that collects and decodes Machine Check Exception data
on x86-64 machines.
ftp://ftp.x86-64.org/pub/linux/tools/mcelog/

%prep
%setup -q -c
%patch0 -p0 -b RHEL4u4_mcelog_k8_threshold.patch

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/share/man

cd mcelog-0.4
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie"
cd ..

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}
mkdir -p %{buildroot}/etc/cron.daily
cd mcelog-0.4
install mcelog %{buildroot}/usr/sbin/mcelog
install mcelog.cron %{buildroot}/etc/cron.daily/mcelog.cron
cp mcelog.8 %{buildroot}/usr/share/man/man8
cd ..
chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/sbin/mcelog
/etc/cron.daily/mcelog.cron
%attr(0644,root,root) %{_mandir}/*/*

%changelog
* Thu Apr  6 2006 Linda Wang<lwang@redhat.com>
- Add support for K8 MCE (BZ#168540)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.4

* Thu Jan 27 2005 Dave Jones <davej@redhat.com>
- Initial packaging.

